io.vertx.rxjava3.ext.shell.term

## Class TermServer

- java.lang.Object
- - io.vertx.rxjava3.ext.shell.term.TermServer

-     public class TermServer
      extends Object

  A server for terminal based applications.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<TermServer>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TermServer(Object delegate)`
    `TermServer(TermServer delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `actualPort()` The actual port the server is listening on.
    `TermServer` | `authenticationProvider(AuthenticationProvider provider)` Set an auth provider to use, any provider configured in options will override this provider.
    `TermServer` | `authProvider(AuthProvider provider)` Deprecated.
    `Completable` | `close()` Like `close()` but supplying a handler that will be notified when close is complete.
    `static TermServer` | `createHttpTermServer(Vertx vertx)` Create a term server for the HTTP protocol.
    `static TermServer` | `createHttpTermServer(Vertx vertx, HttpTermOptions options)` Create a term server for the HTTP protocol.
    `static TermServer` | `createHttpTermServer(Vertx vertx, Router router)` Create a term server for the HTTP protocol, using an existing router.
    `static TermServer` | `createHttpTermServer(Vertx vertx, Router router, HttpTermOptions options)` Create a term server for the HTTP protocol, using an existing router.
    `static TermServer` | `createSSHTermServer(Vertx vertx)` Create a term server for the SSH protocol.
    `static TermServer` | `createSSHTermServer(Vertx vertx, SSHTermOptions options)` Create a term server for the SSH protocol.
    `static TermServer` | `createTelnetTermServer(Vertx vertx)` Create a term server for the Telnet protocol.
    `static TermServer` | `createTelnetTermServer(Vertx vertx, TelnetTermOptions options)` Create a term server for the Telnet protocol.
    `boolean` | `equals(Object o)`
    `TermServer` | `getDelegate()`
    `int` | `hashCode()`
    `Completable` | `listen()` Bind the term server, the `termHandler(io.vertx.core.Handler<io.vertx.rxjava3.ext.shell.term.Term>)` must be set before.
    `static TermServer` | `newInstance(TermServer arg)`
    `Completable` | `rxClose()` Like `close()` but supplying a handler that will be notified when close is complete.
    `Completable` | `rxListen()` Bind the term server, the `termHandler(io.vertx.core.Handler<io.vertx.rxjava3.ext.shell.term.Term>)` must be set before.
    `TermServer` | `termHandler(Handler<Term> handler)` Set the term handler that will receive incoming client connections.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<TermServer> __TYPE_ARG

  - ### Constructor Detail

    - #### TermServer

          public TermServer(TermServer delegate)

    - #### TermServer

          public TermServer(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public TermServer getDelegate()

    - #### createSSHTermServer

          public static TermServer createSSHTermServer(Vertx vertx)

      Create a term server for the SSH protocol.
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the term server

    - #### createSSHTermServer

          public static TermServer createSSHTermServer(Vertx vertx,
                                                       SSHTermOptions options)

      Create a term server for the SSH protocol.
      Parameters:
        `vertx` - the vertx instance
        `options` - the ssh options
      Returns:
        the term server

    - #### createTelnetTermServer

          public static TermServer createTelnetTermServer(Vertx vertx)

      Create a term server for the Telnet protocol.
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the term server

    - #### createTelnetTermServer

          public static TermServer createTelnetTermServer(Vertx vertx,
                                                          TelnetTermOptions options)

      Create a term server for the Telnet protocol.
      Parameters:
        `vertx` - the vertx instance
        `options` - the term options
      Returns:
        the term server

    - #### createHttpTermServer

          public static TermServer createHttpTermServer(Vertx vertx)

      Create a term server for the HTTP protocol.
      Parameters:
        `vertx` - the vertx instance
      Returns:
        the term server

    - #### createHttpTermServer

          public static TermServer createHttpTermServer(Vertx vertx,
                                                        HttpTermOptions options)

      Create a term server for the HTTP protocol.
      Parameters:
        `vertx` - the vertx instance
        `options` - the term options
      Returns:
        the term server

    - #### createHttpTermServer

          public static TermServer createHttpTermServer(Vertx vertx,
                                                        Router router)

      Create a term server for the HTTP protocol, using an existing router.
      Parameters:
        `vertx` - the vertx instance
        `router` - the router
      Returns:
        the term server

    - #### createHttpTermServer

          public static TermServer createHttpTermServer(Vertx vertx,
                                                        Router router,
                                                        HttpTermOptions options)

      Create a term server for the HTTP protocol, using an existing router.
      Parameters:
        `vertx` - the vertx instance
        `router` - the router
        `options` - the term options
      Returns:
        the term server

    - #### termHandler

          public TermServer termHandler(Handler<Term> handler)

      Set the term handler that will receive incoming client connections. When a remote terminal connects the `handler` will be called with the `Term` which can be used to interact with the remote terminal.
      Parameters:
        `handler` - the term handler
      Returns:
        this object

    - #### authProvider

          @Deprecated
          public TermServer authProvider(AuthProvider provider)

      Deprecated.
      Parameters:
        `provider` - the auth to use
      Returns:
        this object

    - #### authenticationProvider

          public TermServer authenticationProvider(AuthenticationProvider provider)

      Set an auth provider to use, any provider configured in options will override this provider. This should be used when a custom auth provider should be used.
      Parameters:
        `provider` - the auth to use
      Returns:
        this object

    - #### listen

          public Completable listen()

      Bind the term server, the `termHandler(io.vertx.core.Handler<io.vertx.rxjava3.ext.shell.term.Term>)` must be set before.
      Returns:
        this object

    - #### rxListen

          public Completable rxListen()

      Bind the term server, the `termHandler(io.vertx.core.Handler<io.vertx.rxjava3.ext.shell.term.Term>)` must be set before.
      Returns:
        this object

    - #### actualPort

          public int actualPort()

      The actual port the server is listening on. This is useful if you bound the server specifying 0 as port number signifying an ephemeral port
      Returns:
        the actual port the server is listening on.

    - #### close

          public Completable close()

      Like `close()` but supplying a handler that will be notified when close is complete.
      Returns:

    - #### rxClose

          public Completable rxClose()

      Like `close()` but supplying a handler that will be notified when close is complete.
      Returns:

    - #### newInstance

          public static TermServer newInstance(TermServer arg)

Copyright © 2024 Eclipse. All rights reserved.